Bug 102449 - [PATCH] CAN-2003-0686 remote buffer overflow in pam_smb
[PATCH] CAN-2003-0686 remote buffer overflow in pam_smb
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: pam_smb (Show other bugs)
2.1
All Linux
high Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Brian Brock
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-15 05:32 EDT by Mark J. Cox (Product Security)
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-08-26 08:15:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2003-08-15 05:32:24 EDT
There is a remote buffer overflow in the password handling code in pam_smb 1.1.6
and pam_smb v2 version in non-daemon mode, reported to us by Samba on August 15th.

Due to become public on August 22nd although that date is still subject to
negotiation.
Comment 1 Mark J. Cox (Product Security) 2003-08-15 05:34:41 EDT
Created attachment 93652 [details]
pam_smb-1.1.7.patch
Comment 2 Mark J. Cox (Product Security) 2003-08-15 07:04:50 EDT
release date now set to Aug 26
Comment 3 Mark J. Cox (Product Security) 2003-08-26 08:15:50 EDT
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2003-262.html

Note You need to log in before you can comment on or make changes to this bug.